# spec file for package libvorbis

Name:		libvorbis
Version:	1.3.7
Release:	3
Summary:	The Vorbis General Audio Compression Codec
Epoch:		1
License:	BSD
URL:		https://www.xiph.org/
Source:		https://downloads.xiph.org/releases/vorbis/%{name}-%{version}.tar.xz
BuildRequires:  gcc, pkgconfig(ogg) >= 1.0 chrpath


%description
Ogg Vorbis is a fully open, non-proprietary, patent- and royalty-free,
general-purpose compressed audio format for audio and music at fixed
and variable bitrates.
The libvorbis package provides both a standard encoder and decoder runtime
libraries  under a BSD license.

%package devel
Summary:        Development tools for Vorbis applications
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description devel
The libvorbis-devel package contains the header files and documentation
needed to develop applications with Ogg Vorbis.

%package help
Summary: Documentation for developing Vorbis applications
BuildArch: noarch

%description help
Documentation for developing applications with libvorbis.

%prep

%autosetup -n %{name}-%{version}  -p1

%build
%configure --disable-static
%make_build

%install
%make_install docdir=%{_docdir}/%{name}
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

%check
make check

chrpath -d %{buildroot}%{_libdir}/libvorbis*

%files
%doc AUTHORS
%license COPYING
%{_libdir}/libvorbis.so.*
%{_libdir}/libvorbisfile.so.*
%{_libdir}/libvorbisenc.so.*

%files devel
%{_includedir}/vorbis
%{_libdir}/libvorbis.so
%{_libdir}/libvorbisfile.so
%{_libdir}/libvorbisenc.so
%{_libdir}/pkgconfig/*.pc
%{_datadir}/aclocal/vorbis.m4

%files help
%{_docdir}/%{name}/*
%exclude %{_docdir}/%{name}/doxygen-build.stamp

%ldconfig_scriptlets

%changelog
* Tue Oct 25 2022 yanglongkang<yanglongkang@h-partners.com> - 1:1.3.7-3
- Type: bugfix
- ID: NA
- SUG: NA
- DESC: rebuild for next release

* Sat Sep 4 2021 wuchaochao <wuchaochao4@huawei.com> - 1.3.7-2
- Type:bugfix
- ID:NA
- SUG:NA
- DESC:Remove rpath compilation option

* Thu Jul 28 2020 wenzhanli<wenzhanli2@huawei.com> - 1.3.7-1
- Type:bugfix
- ID:NA
- SUG:NA
- DESC:update version 1.3.7

* Sat Jan 11 2020 BruceGW <gyl93216@163.com> - 1.3.6-5
- Remove useless patch

* Wed Sep 4 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.3.6-4
- Package init
